package ru.yandex.wmconsole.data.wrappers;

import ru.yandex.wmconsole.data.info.AcceptedLineInfo;
import ru.yandex.wmtools.common.util.XmlDataWrapper;

/**
 * <code>AcceptedLineInfo</code> wrapper.
 *
 * @author ailyin
 */
public class AcceptedLineInfoWrapper extends XmlDataWrapper<AcceptedLineInfo> {
    public AcceptedLineInfoWrapper(AcceptedLineInfo info) {
        super(info, "line");
    }

    @Override
    protected void doToXml(StringBuilder result) {
        putIntegerTag(result, "number", data.getNumber());
        putTag(result, "rule", data.getRule());
    }
}
